Module | Ping
In: | ping.rb

### Methods

pingecho

### Public Instance methods

pingecho(host, timeout=5, service="echo")

[Source]

    # File ping.rb, line 44
      def pingecho(host, timeout=5, service="echo")
        begin
          timeout(timeout) do
            s = TCPSocket.new(host, service)
            s.close
          end
        rescue Errno::ECONNREFUSED
          return true
        rescue Timeout::Error, StandardError
          return false
        end
        return true
      end

[Validate]